Skip to main content

Get Location Resources

API Description

Get information about one or more location resources matching query parameters.

Request

URI Parameters

NameInput
orgId
REQUIRED

Query Parameters

Filters to apply on the operation.

NameInput
id
OPTIONAL
state
OPTIONAL
createdDate
OPTIONAL
updatedDate
OPTIONAL
locationDetails.brandId
OPTIONAL
locationDetails.categories
OPTIONAL
locationDetails.displayNames.name
OPTIONAL
locationDetails.locationStatus.status
OPTIONAL
locationDetails.mainAddress.structuredAddress.subLocality
OPTIONAL
locationDetails.mainAddress.structuredAddress.locality
OPTIONAL
locationDetails.mainAddress.structuredAddress.subAdministrativeArea
OPTIONAL
locationDetails.mainAddress.structuredAddress.administrativeArea
OPTIONAL
locationDetails.mainAddress.structuredAddress.postCode
OPTIONAL
locationDetails.mainAddress.structuredAddress.countryCode
OPTIONAL
locationDetails.phoneNumbers.phoneNumber
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/locations?ql={query_parameter}

This path example is expected to return locations generated after the specified created date.

Path Example
GET {url}/api/v1/orgs/9467895078742654934/locations?ql=createdDate=gt=2024-01-10T17:22:19Z&limit=1

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 6a746899-b067-4193-9b37-0547658ec0ff
content-type: application/json

Response Body

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]updatedDate
REQUIRED
data[]state
REQUIRED
data[]etag
REQUIRED
data[]locationDetails
REQUIRED
data[]placeCardUrl
CONDITIONAL
data[]metadata[]
CONDITIONAL
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654976",
"createdDate": "2026-10-10T17:22:19.00Z",
"updatedDate": "2026-10-10T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "9a37da78-ddd2-11ec-b327-a33f2f0dc19a",
"placeCardUrl": "https://maps.apple.com/place?auid=7378763904743701440",
"locationDetails": {
"partnersLocationId": "1212121212",
"partnersLocationVersion": "PV01",
"brandId": "9467895078742654946",
"displayNames": [
{
"name": "Malibu Ice Cream",
"locale": "en-US",
"primary": true
}
],
"storeCode": "#123",
"internalNicknames": [
{
"name": "9th Ave & West 15th",
"locale": "en"
}
],
"mainAddress": {
"structuredAddress": {
"floor": "7th floor",
"thoroughfare": "9th Ave",
"subThoroughfare": "75",
"fullThoroughfare": "75 9th Ave",
"subLocality": "pos. Lesnoe",
"locality": "New York",
"administrativeArea": "New York",
"postCode": "10011",
"countryCode": "US"
},
"locale": "en"
},
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"locationDescriptions": [
{
"type": "ABOUT",
"descriptions": [
{
"text": "Established in 1984, Malibu Ice Cream handcrafts artisan super premium ice creams, dairy-free fruit juices and frozen yogurt! We are the home of world famous Mexican Vanilla Ice Cream. Explore your favorite flavors at Malibu IceCream.",
"locale": "en"
}
]
}
],
"openingHoursByDay": [
{
"day": "MONDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "TUESDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "WEDNESDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "THURSDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "FRIDAY",
"times": [
{
"startTime": "10:00",
"endTime": "22:00"
}
]
},
{
"day": "SATURDAY",
"times": [
{
"startTime": "09:00",
"endTime": "23:30"
}
]
}
],
"specialHours": [
{
"hoursByDay": [
{
"day": "SUNDAY",
"times": [
{
"startTime": "09:00",
"endTime": "12:00"
}
]
}
],
"startDate": "2026-12-25",
"endDate": "2026-12-25",
"closed": false,
"descriptions": [
{
"text": "Early Closing Christmas Day",
"locale": "en-US"
},
{
"text": "Día de Navidad de cierre anticipado",
"locale": "es"
}
]
}
],
"categories": [
"dining.dessert_shop.ice_cream_shop",
"dining.dessert_shop.ice_cream_shop.gelato_shop"
],
"locationAttributes": [
{
"name": "crossbusiness.restrooms.gender_neutral_restroom",
"value": "true"
}
],
"paymentMethods": [
"VISA",
"MASTERCARD"
],
"displayPoint": {
"coordinates": {
"latitude": "52.358834",
"longitude": "4.893834"
},
"source": "MANUALLY_PLACED"
},
"phoneNumbers": [
{
"phoneNumber": "+12225551212",
"type": "LANDLINE",
"primary": true
}
],
"locationStatus": {
"status": "OPEN"
},
"actionLinkDetails": {
"quicklinks": [
{
"category": "quicklinks.restaurant_order_food",
"quicklinkUrl": "https://www.yelp.com/menu/malibuiscream",
"appStoreUrl": "https://apps.apple.com/us/app/yelp-food-delivery-reviews/id284910350",
"relationship": "AUTHORIZED"
}
]
}
},
"metadata": []
}
],
"pagination": {
"cursors": {
"after": "6t78a61d9b495109"
},
"next": "/v1/orgs/9467895078742654934/locations?limit=1&after=6t78a61d9b495109"
},
"total": 4
}

When no collection is returned.

Example Response Body
{
"data": [],
"pagination": {},
"total": 0
}